TESTRENDER(1)

NAME
testrender - test renderer for Open Shading Language

SYNOPSIS
testrender [options] scene.xml output.exr

DESCRIPTION
testrender is a tiny ray-tracing renderer that uses OSL for shading. Features are very minimal (only spheres are permitted at this time) and there has been no attention to performance, but it demonstrates how the OSL libraries may be integrated into a working renderer, what interfaces the renderer needs to supply, and how the BSDFs/radiance closures should be evaluated and integrated (including with multiple importance sampling).

OPTIONS

--help
    Print help message

-v  Verbose messages

--debug
    Lots of debugging info

--debug2
    Even more debugging info

--stats
    Print run statistics

-r %d %d
    Render a WxH image

-aa %d
    Trace NxN rays per pixel

-t %d
    Render using N threads (default: auto-detect)

-O0 Do no runtime shader optimization

-O1 Do a little runtime shader optimization

-O2 Do lots of runtime shader optimization

--debugnan
    Turn on 'debugnan' mode

scene.xml
    XML scene file to open

output.exr
    Filename for output render

SEE ALSO
oslc(1), oslinfo(1), testshade(1).

AUTHOR
Open Shading Language was written by Sony Pictures Imageworks, et al.

This manual page was written by IRIE Shinsuke <irieshinsuke@yahoo.co.jp>, for the Debian project (and may be used by others).